Perforce Training Installers
===

These files are for installing a Test repository for Training purposes.

The test repository is typically for use with Perforce Consulting training sessions. It uses `C:\p4training` as the root directory in which everything is run. After use, you can delete that directory.

This does not require Administrator rights as it does not install a service.

Please note that you should install the relevant version of P4V as a separate step.

Instructions for use (Windows)
---

Training coordinator (e.g. one person per customer) should:

- Download [p4train.zip](https://swarm.workshop.perforce.com/projects/perforce_software-p4training/download/main/p4train.zip).

- Unzip contents to an empty directory, either on a file share or a USB stick. Right click in Windows Explorer --> Extract All... works fine for modern Windows versions.

- (*optional*) Download latest version of [P4V](https://www.perforce.com/downloads/helix-visual-client-p4v) and put in the same location.

Training delegate (all people attending training) - should on their laptop/PC:

- Double-click or run *install.bat* from fileshare/USB. This will create a local `C:\p4training` directory, replay a checkpoint with sample training data, etc.

- (*optional*) Install P4V if they haven't previously done so.

- Double-click or run *c:\p4training\server.bat* to execute a local p4d.exe on port 1666.

- Run P4V and connect to server on *localhost:1666* as user *bruno*, with workspace *bruno_ws*.

They can stop the training server using Ctrl+C, or just by closing the CMD prompt window.

QED!

Instructions for use (Linux 64 bit)
---

Training coordinator (e.g. one person per customer) should:

- Download [p4train.tgz](https://swarm.workshop.perforce.com/projects/perforce_software-p4training/download/main/p4train.tgz).

- Move the downloaded file to an appropriate directory, e.g. `/tmp`.

- Run the following commands:

    tar -xvzf p4train.tgz

    cd p4train

    ./install.sh

- The above will setup the server and run it on port 1666. You can edit the files `p4vars` and `install.sh` if you want a different port.

- The command `./uninstall.sh` will stop the p4d, and you can then remove the `C:\p4training` directory.

Notes
---

Note that the test repository is based on the [Perforce Sample Depot](https://community.perforce.com/s/article/2439).


